package jatek;



import java.io.File;
import org.w3c.dom.Document;

public abstract interface Jatek {
	
	/**
	 * A validált dokumentumból kinyeri az adatokat és eltárolja.
	 * @param d Document XML-állománnyal dolgozunk.
	 */
	public void loadData(Document d);
	/**
	 * Lejátszuk a játékot.
	 */
	public void playGame();
	/**
	 * Létrehoz egy Excel fájlt, és elmenti a megadott elérési útra.
	 * @param save File Fájl, amibe mentjük az eredményt.
	 * @return Boolean Sikeres volt-e a mentés?
	 */
	public boolean createSaveDataFormat(File save);
	/**
	 * Bezárja a játékot, alapállapotra állít minden fontos értéket.
	 */
	public void closeGame();

}
